Bug 220908 - [NEW PORT] archivers/c-blosc: Blocking, shuffling and loss-less compression library
Summary: [NEW PORT] archivers/c-blosc: Blocking, shuffling and loss-less compression l...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-07-21 17:45 UTC by Iblis Lin
Modified: 2017-08-09 00:56 UTC (History)
1 user (show)

See Also:


Attachments
c-blosc shar (3.51 KB, text/plain)
2017-07-21 17:45 UTC, Iblis Lin
no flags Details
c-blocs shar v2 (3.41 KB, text/plain)
2017-07-23 15:07 UTC, Iblis Lin
no flags Details
c-blosc.shar v3 (3.44 KB, application/x-shar)
2017-08-06 07:02 UTC, Iblis Lin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Iblis Lin 2017-07-21 17:45:59 UTC
Created attachment 184579 [details]
c-blosc shar

Blosc is a high performance compressor optimized for binary data.
It has been designed to transmit data to the processor cache faster
than the traditional, non-compressed, direct memory fetch approach
via a memcpy() OS call. Blosc is the first compressor (that I'm aware of)
that is meant not only to reduce the size of large datasets on-disk or
in-memory, but also to accelerate memory-bound computations.

WWW: http://blosc.org/

----

portlint: looks fine.

testport:
  - pass on 11.0-RELEASE amd64 with default OPTIONS enabled
  - pass on 11.0-RELEASE amd64 with all OPTIONS enabled
  - pass on 11.0-RELEASE i386 with default OPTIONS enabled
  - pass on 11.0-RELEASE i386 with all OPTIONS enabled
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-23 11:46:20 UTC
Nice bug (feature) report Iblis.

Review items:

- I don't believe MASTER_SITES=	GH is required with USE_GITHUB
- I would remove the post-built test target (automatic test running in poudriere coming soon). test target should be made to work unconditionally (if possible)
Comment 2 Iblis Lin 2017-07-23 15:07:37 UTC
Created attachment 184635 [details]
c-blocs shar v2
Comment 3 Iblis Lin 2017-07-28 10:56:52 UTC
anything else need to address?
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 05:30:13 UTC
@Iblis It doesn't appear so, pending committer (self) assignment & commit
Comment 5 Richard Gallamore freebsd_committer 2017-08-05 23:01:48 UTC
Looks good, one thing though, 103i386/103amd64 test option seems to fail with,

error: Cannot determine how to allocate aligned memory on the target platform.

Because these are just tests, I don't think this is a show stopper. If you can, report this upstream to get it fixed.
Comment 6 Iblis Lin 2017-08-06 07:02:39 UTC
Created attachment 185074 [details]
c-blosc.shar v3

add -std=c11 to CFLAGS, this make clang on 10.3-RELEASE reports.

    #define __STDC_VERSION__ 201112L

and it does build and pass tests.

(No idea why adding USES=compiler:c11 only doesn't append -std=c11)
Comment 7 commit-hook freebsd_committer 2017-08-09 00:44:48 UTC
A commit references this bug:

Author: ultima
Date: Wed Aug  9 00:44:06 UTC 2017
New revision: 447585
URL: https://svnweb.freebsd.org/changeset/ports/447585

Log:
  Blosc is a high performance compressor optimized for binary data.
  It has been designed to transmit data to the processor cache faster
  than the traditional, non-compressed, direct memory fetch approach
  via a memcpy() OS call. Blosc is the first compressor (that I'm aware of)
  that is meant not only to reduce the size of large datasets on-disk or
  in-memory, but also to accelerate memory-bound computations.

  WWW: http://blosc.org/

  PR:		220908
  Submitted by:	Iblis Lin (maintainer)
  Reviewed by:	matthew (mentor), mat
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D11889

Changes:
  head/archivers/Makefile
  head/archivers/c-blosc/
  head/archivers/c-blosc/Makefile
  head/archivers/c-blosc/distinfo
  head/archivers/c-blosc/pkg-descr
  head/archivers/c-blosc/pkg-plist
Comment 8 Iblis Lin 2017-08-09 00:48:13 UTC
(In reply to commit-hook from comment #7)
tnx a lot!
Comment 9 Richard Gallamore freebsd_committer 2017-08-09 00:56:16 UTC
(In reply to Iblis Lin from comment #6)
USE_CSTD=c11, compiler:c11 means I need a compiler that understands c11 and -std=c11 means that the code is written according to the c11 syntax.

I added the fix.

(In reply to Iblis Lin from comment #8)
No problem, and thanks for your contributions.